Package org.apache.ignite.spi.systemview.view.sql

## Class SqlTableColumnView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlTableColumnView

-     public class SqlTableColumnView
      extends Object

  Sql table column representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlTableColumnView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl, org.apache.ignite.internal.processors.query.GridQueryProperty prop)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `affinityColumn()` |
    `boolean` | `autoIncrement()` |
    `String` | `columnName()` |
    `String` | `defaultValue()` |
    `boolean` | `nullable()` |
    `boolean` | `pk()` |
    `int` | `precision()` |
    `int` | `scale()` |
    `String` | `schemaName()` |
    `String` | `tableName()` |
    `Class<?>` | `type()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlTableColumnView

          public SqlTableColumnView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl,
                                    org.apache.ignite.internal.processors.query.GridQueryProperty prop)

      Parameters:
        `tbl` - Table.
        `prop` - Column.

  - ### Method Detail

    - #### columnName

          public String columnName()

      Returns:
        Column name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns:
        Table name.

    - #### type

          public Class<?> type()

      Returns:
        Field data type.

    - #### defaultValue

          public String defaultValue()

      Returns:
        Field default.

    - #### precision

          public int precision()

      Returns:
        Precision.

    - #### scale

          public int scale()

      Returns:
        Scale.

    - #### nullable

          public boolean nullable()

      Returns:
        `True` if nullable field.

    - #### pk

          public boolean pk()

      Returns:
        `True` if primary key.

    - #### autoIncrement

          public boolean autoIncrement()

      Returns:
        `True` if autoincremented field.

    - #### affinityColumn

          public boolean affinityColumn()

      Returns:
        `True` if affinity column.